export interface Credentials {
    password: string;
    email: string;
    username?: string;
}

export interface Token {
    refresh_token: string;
    access_token: string;
}

export interface TokenData {
    sub: string;
    role: string;
}

export interface User {
    id: number;
    username: string;
    email: string;
    created_date?: Date;
}

export interface Zone {
    id: number;
    name: string;
}

export interface Flight {
    id: number,
    flight_code: string;
    status: string;
    origin: string;
    destination: string;
    departure_time: string;
    arrival_time: string;
    gate: string;
    user_id: number;
}

export interface FlightCreate {
    flight_code: string;
    status: string;
    origin: string;
    destination: string;
    departure_time: string;
    arrival_time: string;
    gate: string;
}

export interface FlightEditNotNull {
    departure_time: string, 
    arrival_time: string,
    status: string,
    gate: string
}

export interface FlightEdit {
    departure_time: string?, 
    arrival_time: string?,
    status: string?,
    gate: string?
}

export interface SubscriptionsCreate {
    flight_id: number;
    user_id: number;
}