import { useEffect } from "react";
import { useState } from "react";
import { Flight } from "../Types";
import { fetchFlight } from "../Api";

export const useFetchFlight  = (id: string | undefined) => {
    const [error, setError] = useState<string | null>(null);
    const [flight, setFlight] = useState<Flight>();
    const [count, setCount] = useState<number>(0);

    useEffect(() => {
        setError(null);

        if (id == null || id == undefined)
            return; 

        fetchFlight(id)
            .then((data) => {
                setFlight(data);
            })
            .catch((error) => { });
    }, [id]);

    return { flight, count, error };
};
