import React, { useCallback, useEffect } from "react";
import { useState } from "react";
import { User, Flight } from "../Types";
import { fetchFlights } from "../Api";

export const useFetchFlights  = (origin: string | null, page: number | null) => {
    const [error, setError] = useState<string | null>(null);
    const [flights, setFlights] = useState<Flight[]>([]);
    const [count, setCount] = useState<number>(0);

    // useEffect(() => {
    //     setError(null);

    //     fetchFlights(origin, page)
    //         .then((data) => {
    //             setCount(data.count)
    //             setFlights(data.flights.filter((e) => e.status != "Deleted" ));
    //         })
    //         .catch((error) => { });
    // }, [page]);

    const fetchData = useCallback(async () => {
        setError(null);

        fetchFlights(origin, page)
            .then((data) => {
                setCount(data.count)
                setFlights(data.flights.filter((e) => e.status != "Deleted" ));
            })
            .catch((error) => { });
    }, [origin, page]);

    useEffect(() => {
        fetchData()
    }, [fetchData]);

    return { flights, count, error, fetchData };
};
